> ## Documentation Index
> Fetch the complete documentation index at: https://upstash.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Unpin Configuration for Flow Control Key

> Removes the pinned configuration for a specific flow-control key.

Normally, each message sent to QStash includes a flow-control configuration for the corresponding flow-control key, and the processing configuration is updated according to incoming messages.

When a configuration is pinned, the system ignores configurations provided by incoming messages and continues using the pinned configuration.

Calling this endpoint removes the pinned configuration. After unpinning, the system resumes the default behavior and updates the configuration based on configurations provided by incoming messages.

Message delivery will initially continue using the last pinned configuration. Once a new message with a different configuration is received, the system updates the configuration accordingly.

Use this API when you want to return to the default flow-control behavior after temporarily pinning a configuration.


## OpenAPI

````yaml /workflow/openapi.yaml post /v2/flowControl/{flowControlKey}/unpin
openapi: 3.1.0
info:
  title: Upstash Workflow REST API
  description: >
    Upstash Workflow is a serverless workflow orchestration service built on top
    of Upstash QStash and Upstash Redis.
  version: 2.0.0
  contact:
    name: Upstash
    url: https://upstash.com
servers:
  - url: https://qstash.upstash.io
security:
  - bearerAuth: []
  - bearerAuthQuery: []
paths:
  /v2/flowControl/{flowControlKey}/unpin:
    post:
      tags:
        - Flow Control
      summary: Unpin Configuration for Flow Control Key
      description: Removes the pinned configuration for a specific flow-control key.
      parameters:
        - name: flowControlKey
          in: path
          required: true
          schema:
            type: string
          description: The flow-control key for which the configuration will be unpinned.
        - name: parallelism
          in: query
          schema:
            type: boolean
            default: false
          description: The flag to indicate whether to unpin the parallelism configuration.
        - name: rate
          in: query
          schema:
            type: boolean
            default: false
          description: The flag to indicate whether to unpin the rate configuration.
      responses:
        '200':
          description: The flow-control key configuration is pinned
        '400':
          description: Bad request. Returned when the flow-control key is not provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: QStash authentication token
    bearerAuthQuery:
      type: apiKey
      in: query
      name: qstash_token
      description: QStash authentication token passed as a query parameter

````